<!doctype html >
<html lang="en" xmlns:th="http://thymeleaf.org">
<!-- Required meta tags -->
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Event Organizers Request List</title>

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" th:href="@{/css/sidebar.css}">
  <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>
  <link rel="stylesheet" th:href="@{/assets/css/list-request-penyelenggara.css}">
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>

<body>
<div th:replace="fragments/fragment.html :: side-bar-admin" />

<section class="content-sidebar-section">
  <div class="text">Event Organizers Request List</div>
  <div class="list-penyelenggara-wrapper">
    <form>
      <div class="form-group">
        <div class="dropdown">
          <!--              <button class="btn btn-outline-secondary dropdown-toggle" type="button" id="statusDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" style="min-width: 230px;">-->
          <!--                Status-->
          <!--              </button>-->
          <select class="form-control btn btn-outline-secondary dropdown-toggle" name="status" id="statusDropdown" onchange="submitForm(event)" style="width: 230px; height: 48px;  margin: 0px; text-indent: 12px;">
            <option value="" disabled selected>Status</option>
            <option value="All">All</option>
            <option value="Waiting+for+Confirmation">Waiting for Confirmation</option>
            <option value="Confirmed">Confirmed</option>
            <option value="Declined">Declined</option>
          </select>
        </div>
      </div>

    </form>
    <div style="padding: 20px; margin-top: 20px;" class="card-table stretch-card shadow-lg ">
      <div class="col-lg-12">
        <main>
          <div class="container main" style="align-items: start;">
            <tbody class="table-responsive">
            <table class="table">
              <thead>
              <tr>
                <th>No</th>
                <th>Email</th>
                <th>Nama Organisasi</th>
                <th>Status</th>
                <th>Tanggal Request</th>
                <th>Action</th>
              </tr>
              </thead>
              <tbody id="tableBody">
              <!--   this is where the table body loaded     -->
              <script>
                  $(function() {
                      $('#tableBody').load(`/admin/dashboard/list-request-penyelenggara/table-body-request-penyelenggara.html?requestStatus=All`);
                  });
              </script>
              </tbody>
            </table>
          </div>
        </main>
      </div>
    </div>
  </div>

</section>
<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!"); //tambahkan console log
        console.log(sidebar.classList);
        menuBtnChange();//calling the function(optional)
    });

    // following are the code to change sidebar button(optional)
    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
        }
    }

    function submitForm(event) {
        $(function() {
            $('#tableBody').load(`/admin/dashboard/list-request-penyelenggara/table-body-request-penyelenggara.html?requestStatus=${event.target.value}`);
        });
        console.log(event.target.value)
        console.log("hai")
    }
</script>
</body>

</html>